Mailinglist Archive: opensuse-factory (536 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180517 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180517

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
aria2 (1.33.1 -> 1.34.0)
bzr
freetype2 (2.9 -> 2.9.1)
ft2demos (2.9 -> 2.9.1)
libstorage-ng (3.3.272 -> 3.3.283)
libwmf
libyui (3.4.0 -> 3.4.1)
libyui-qt (2.49.3 -> 2.49.4)
patterns-yast (20180409 -> 20180427)
sblim-sfcb
yast2 (4.0.73 -> 4.0.74)
yast2-bootloader (4.0.32 -> 4.0.34)
yast2-control-center (4.0.2 -> 4.1.0)
yast2-country (4.0.20 -> 4.0.22)
yast2-installation (4.0.59 -> 4.0.60)
yast2-packager (4.0.60 -> 4.0.62)
yast2-pkg-bindings (4.0.9 -> 4.0.10)
yast2-storage-ng (4.0.179 -> 4.0.183)
yast2-trans (84.87.20180508.cec5a7a09 -> 84.87.20180514.157a0650d)

=== Details ===

==== aria2 ====
Version update (1.33.1 -> 1.34.0)
Subpackages: aria2-lang libaria2-0

- Update to version 1.34.0
* UnknownLengthPieceStorage: return piece length show something
in console status when downloading items with unknown content length
* Fix bug that signal handler does not work with libaria2 when
aria2::RUN_ONCE is passed to aria2::run().
* Retry on HTTP 502
- cleanup with spec-cleaner

==== bzr ====
Subpackages: bzr-lang

- Add bzr-2.7.0-ssh_hostnames-lp1710979 to avoid code execution
(boo#1058214, CVE-2017-14176)

==== freetype2 ====
Version update (2.9 -> 2.9.1)
Subpackages: freetype2-devel libfreetype6 libfreetype6-32bit

- Re-enable freetype-config, there is just too many fallouts.
- Update to version 2.9.1
* Type 1 fonts containing flex features were not rendered
correctly (bug introduced in version 2.9).
* CVE-2018-6942: Older FreeType versions can crash with certain
malformed variation fonts.
* Bug fix: Multiple calls to `FT_Get_MM_Var' returned garbage.
* Emboldening of bitmaps didn't work correctly sometimes, showing
various artifacts (bug introduced in version 2.8.1).
* The auto-hinter script ranges have been updated for Unicode 11.
No support for new scripts have been added, however, with the
exception of Georgian Mtavruli.
- freetype-config is now deprecated by upstream and not enabled
by default.
- Drop upstreamed patches:
* bnc1079600.patch
* psaux-flex.patch
* 0001-src-truetype-ttinterp.c-Ins_GETVARIATION-Avoid-NULL-.patch
* 0001-truetype-Better-protection-against-invalid-VF-data.patch

==== ft2demos ====
Version update (2.9 -> 2.9.1)
Subpackages: ftbench ftdiff ftdump ftgamma ftgrid ftinspect ftlint ftmulti
ftstring ftvalid ftview

- Update to version 2.9.1
* No changelog upstream.

==== libstorage-ng ====
Version update (3.3.272 -> 3.3.283)
Subpackages: libstorage-ng-ruby libstorage-ng1

- Translated using Weblate (Italian)
- 3.3.283
- Translated using Weblate (Czech)
- 3.3.282
- Translated using Weblate (Dutch)
- 3.3.281
- Translated using Weblate (Japanese)
- 3.3.280
- Translated using Weblate (Catalan)
- 3.3.279
- merge gh#openSUSE/libstorage-ng#528
- added action to fix undersized GPT
- updated pot file
- merged po files
- 3.3.278
- merge gh#openSUSE/libstorage-ng#527
- Use stricter NTFS max label size (bsc#1084867)
- 3.3.277
- Translated using Weblate (Hungarian)
- 3.3.276
- merge gh#openSUSE/libstorage-ng#526
- improved error message (see bsc#1089554)
- 3.3.275
- merge gh#openSUSE/libstorage-ng#525
- Fix lt translation
- 3.3.274
- Translated using Weblate (Chinese (Taiwan))
- Translated using Weblate (Korean)
- Translated using Weblate (Chinese (China))
- Translated using Weblate (Lithuanian)
- 3.3.273

==== libwmf ====
Subpackages: libwmf-0_2-7 libwmf-tools

- Add use-pkg-config-for-freetype.patch to use pkgconfig to detect
Freetype libraries. Add BR autoconf, automake, libtool due to
above.

==== libyui ====
Version update (3.4.0 -> 3.4.1)

- Fix GCC 8 warning: -Werror=catch-value (boo#1084636).
- 3.4.1

==== libyui-qt ====
Version update (2.49.3 -> 2.49.4)

- Fix Gnome's display of titles/icons (boo#1092845)
- 2.49.4

==== patterns-yast ====
Version update (20180409 -> 20180427)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis
patterns-yast-yast2_install_wf

- move yast2-fonts in the x11_yast pattern as it pulls in freetype and stuff
related to it (boo#1090189)
- remove kde and gnome conflicts in x11_yast pattern (boo#1090319)
- version 20180427

==== sblim-sfcb ====

- service_init_certs.patch: Certificates should be generated at
runtime, not during installation. The script should also take
config file values for certification locations, in case it was
adjusted by the user. (bsc#1092281)
- missing_makefile_dependencies.patch: fix Makefile.am dependencies

==== yast2 ====
Version update (4.0.73 -> 4.0.74)

- Replace the deprecated firewallctl command with firewall-cmd for
obtaining the firewalld state (bsc#1093111)
- 4.0.74

==== yast2-bootloader ====
Version update (4.0.32 -> 4.0.34)

- Extend fix for BIOS RAIDs to work with more complex setup when
system contain also physical partitions (bsc#1092417)
- 4.0.34
- Propose fips boot parameter if it is used for installation
on s390 (bsc#1043029)
- 4.0.33

==== yast2-control-center ====
Version update (4.0.2 -> 4.1.0)
Subpackages: yast2-control-center-qt

- Fixed crash when reading an invalid or incomplete .desktop file
(bsc#1090843)
- 4.1.0
- Fix Gnome's display of titles/icons (boo#1092845)
- 4.0.3

==== yast2-country ====
Version update (4.0.20 -> 4.0.22)
Subpackages: yast2-country-data

- Do not use opensuse ntp pool servers for SLE (bsc#1090168)
- 4.0.22
- handle setting locale in firstboot (bsc#1092979)
- 4.0.21

==== yast2-installation ====
Version update (4.0.59 -> 4.0.60)

- Do not try to set read-only property to default BTRFS subvolume
if the filesystem already existed on disk (needed for
bsc#1091047).
- 4.0.60

==== yast2-packager ====
Version update (4.0.60 -> 4.0.62)

- Fixed argument handling in the .desktop file for the
"Install/Remove Software" item (bsc#1087352)
- Properly process paths containing spaces or special shell
characters
- 4.0.62
- Adapted /dev cleanup at upgrade to work properly with the
registration rollback (bsc#1089643)
- 4.0.61

==== yast2-pkg-bindings ====
Version update (4.0.9 -> 4.0.10)

- Ignore notification exception for failed plugin services,
avoid errors when refreshing the zypp-plugin-spacewalk service
on a system not managed by spacewalk (SUSE Manager)
(bsc#1086768)
- 4.0.10

==== yast2-storage-ng ====
Version update (4.0.179 -> 4.0.183)

- Added to the installer a detailed description about the origin of
the partitioning layout, as discussed in bsc#1089274.
- 4.0.183
- Allow to consider MD RAIDs as BIOS RAIDs by using the env
variable LIBSTORAGE_MDPART (bsc#1092417).
- Fixed tests to avoid to require files provided by
yast-installation package (needed for bsc#1091047).
- Fixed detection of candidate disks for installation
(bsc#1091047).
- 4.0.182
- don't reuse prep partitions larger than 8 MiB (bsc#1090019)
- 4.0.181
- Partitioner: fix several translation issues (bsc#1081837 and
bsc#1081601).
- Expose the active flag of the MountPoint class (needed for the
definitive fix for bsc#1064437 in modern distributions).
- 4.0.180

==== yast2-trans ====
Version update (84.87.20180508.cec5a7a09 -> 84.87.20180514.157a0650d)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20180514.157a0650d:
* Add initial sap-installation-wizard files
* Add sap-installation-wizard textdomain
* Added translation using Weblate (Dutch)
* Added translation using Weblate (German)
* Added translation using Weblate (Japanese)
* Added translation using Weblate (Portuguese (Brazil))
* Fixed string interpolation
* New POT for text domain 'autoinst'.
* New POT for text domain 'bootloader'.
* New POT for text domain 'control'.
* New POT for text domain 'installation'.
* New POT for text domain 'storage'.
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (Czech)
* Translated using Weblate (Dutch)
* Translated using Weblate (French)
* Translated using Weblate (German)
* Translated using Weblate (Indonesian)
* Translated using Weblate (Italian)
* Translated using Weblate (Japanese)
* Translated using Weblate (Korean)
* Translated using Weblate (Lithuanian)
* Translated using Weblate (Polish)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Update sap-installation-wizard po files
* Update sap-installation-wizard pot file


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups